cURL
curl --request POST \
--url https://api.firmable.com/people/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyId": "<string>",
"position": "<string>",
"seniority": "<string>",
"department": "<string>",
"from": "<string>",
"size": "<string>"
}
'import requests
url = "https://api.firmable.com/people/search"
payload = {
"companyId": "<string>",
"position": "<string>",
"seniority": "<string>",
"department": "<string>",
"from": "<string>",
"size": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyId: '<string>',
position: '<string>',
seniority: '<string>',
department: '<string>',
from: '<string>',
size: '<string>'
})
};
fetch('https://api.firmable.com/people/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firmable.com/people/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'companyId' => '<string>',
'position' => '<string>',
'seniority' => '<string>',
'department' => '<string>',
'from' => '<string>',
'size' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.firmable.com/people/search"
payload := strings.NewReader("{\n \"companyId\": \"<string>\",\n \"position\": \"<string>\",\n \"seniority\": \"<string>\",\n \"department\": \"<string>\",\n \"from\": \"<string>\",\n \"size\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.firmable.com/people/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"companyId\": \"<string>\",\n \"position\": \"<string>\",\n \"seniority\": \"<string>\",\n \"department\": \"<string>\",\n \"from\": \"<string>\",\n \"size\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firmable.com/people/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"companyId\": \"<string>\",\n \"position\": \"<string>\",\n \"seniority\": \"<string>\",\n \"department\": \"<string>\",\n \"from\": \"<string>\",\n \"size\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"total": 123,
"totalPeople": 0,
"records": [
{
"id": "f000000117274",
"person_id": "f000000117274",
"name": "Jane Smith",
"position": "Software Engineer",
"company_name": "SMEC",
"has_email": true,
"has_phone": true,
"has_dnd_phone": true,
"has_mobile": true
}
]
}{
"error": 123,
"message": "<string>"
}Enrichment APIs
People Search
Search for people by id, company id, position, seniority, and department
POST
/
people
/
search
cURL
curl --request POST \
--url https://api.firmable.com/people/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyId": "<string>",
"position": "<string>",
"seniority": "<string>",
"department": "<string>",
"from": "<string>",
"size": "<string>"
}
'import requests
url = "https://api.firmable.com/people/search"
payload = {
"companyId": "<string>",
"position": "<string>",
"seniority": "<string>",
"department": "<string>",
"from": "<string>",
"size": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyId: '<string>',
position: '<string>',
seniority: '<string>',
department: '<string>',
from: '<string>',
size: '<string>'
})
};
fetch('https://api.firmable.com/people/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firmable.com/people/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'companyId' => '<string>',
'position' => '<string>',
'seniority' => '<string>',
'department' => '<string>',
'from' => '<string>',
'size' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.firmable.com/people/search"
payload := strings.NewReader("{\n \"companyId\": \"<string>\",\n \"position\": \"<string>\",\n \"seniority\": \"<string>\",\n \"department\": \"<string>\",\n \"from\": \"<string>\",\n \"size\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.firmable.com/people/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"companyId\": \"<string>\",\n \"position\": \"<string>\",\n \"seniority\": \"<string>\",\n \"department\": \"<string>\",\n \"from\": \"<string>\",\n \"size\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firmable.com/people/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"companyId\": \"<string>\",\n \"position\": \"<string>\",\n \"seniority\": \"<string>\",\n \"department\": \"<string>\",\n \"from\": \"<string>\",\n \"size\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"total": 123,
"totalPeople": 0,
"records": [
{
"id": "f000000117274",
"person_id": "f000000117274",
"name": "Jane Smith",
"position": "Software Engineer",
"company_name": "SMEC",
"has_email": true,
"has_phone": true,
"has_dnd_phone": true,
"has_mobile": true
}
]
}{
"error": 123,
"message": "<string>"
}Description
Search for people by company id, position, seniority, and department. Use theselectedCountry field to scope results to a specific region. Supported country codes: AU, NZ, SG, MY, ID, PH, HK, JP, VN, KR, TH, US, CA. Defaults to AU when not provided.
Please pass ids for seniority and department as listed below.
Acceptable seniority and department ids
Seniority:
1: Board Member / Company Director2: Owner / Founder3: C-Suite / Partner4: VP/Director / Head of5: Manager6: Other7: No Data Available
Department:
1: General Management2: Sales3: Trades4: Operations5: Engineering & Technical6: Human Resources7: Customer Service8: Medicine & Healthcare9: Research & Analysis10: Legal11: Marketing12: Education & Training13: Consulting14: Finance15: Product16: Other17: No Data Available
Authorizations
Body
application/json
Response
People search response